/*
 * Copyright 2006-2020 The MZmine Development Team
 *
 * This file is part of MZmine.
 *
 * MZmine is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * MZmine is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with MZmine; if not,
 * write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
 * USA
 */

package io.github.mzmine.modules.visualization.featurelisttable_modular;

import io.github.mzmine.datamodel.features.ModularFeatureList;
import io.github.mzmine.modules.MZmineModule;
import io.github.mzmine.parameters.ParameterSet;
import io.github.mzmine.util.FeatureTableFXUtil;
import javafx.application.Platform;
import javax.annotation.Nonnull;
import javax.annotation.Nullable;

public class FeatureTableFXModule implements MZmineModule {

  /**
   * Opens a new FeateTable window, using {@link Platform#runLater(Runnable)}.
   *
   * @param flist
   */
  public static void createFeatureListTable(ModularFeatureList flist) {
    Platform.runLater(() -> FeatureTableFXUtil.addFeatureTableTab(flist));
  }

  @Nonnull
  @Override
  public String getName() {
    return "FeatureOld list table";
  }

  @Nullable
  @Override
  public Class<? extends ParameterSet> getParameterSetClass() {
    return FeatureTableFXParameters.class;
  }
}
